10.3. Enterprise JDBC and ODBC Drivers

Starburst Enterprise Presto includes enterprise JDBC and ODBC Drivers. Contact Starburst support to receive the binary files for your specific version.

Starburst Enterprise Presto ODBC Drivers

You must meet the minimal system requirements for installing the ODBC drivers on Windows, Mac, or Linux. Operating system specific packages and installers are available.

Windows

  • Windows 7, 8.1, or 10
  • Windows Server 2008 R2 SP1, 2012, or 2016

Mac

  • OSX version 10.9, 10.10, or 10.11
  • iODBC 3.52.7 or later

Linux

  • Red Hat® Enterprise Linux® (RHEL) 6 or 7
  • CentOS 6 or 7
  • SUSE Linux Enterprise Server (SLES) 11 or 12
  • Debian 7, 8, or 9
  • Ubuntu 14.04 or 16.04
  • iODBC 3.52.7 or later
  • unixODBC 2.3.0 or later
Starburst Presto ODBC Version Compatible Presto Versions
1.2.7 302e+
1.2.2 213e, 208e, 203e, 195e

Starburst Enterprise Presto JDBC Drivers

To use the JDBC drivers, you must have the Java Runtime Environment (JRE) 8.0 or later installed.

Starburst Presto JDBC Version Compatible Presto Versions
1.0.24 302e+
1.0.22 213e, 208e, 203e, 195e